package cn.superdesk.uniorder.dao.mapper._statistics;

import java.util.List;

import cn.superdesk.uniorder.dao.entity.statistics.prayable.StPayableDetailDataEntity;
import cn.superdesk.uniorder.dao.entity.statistics.prayable.StPayableDetailDataEntityExample;
import org.apache.ibatis.annotations.Param;

public interface StPayableDetailDataEntityMapper {
    long countByExample(StPayableDetailDataEntityExample example);

    int deleteByExample(StPayableDetailDataEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StPayableDetailDataEntity record);

    int insertSelective(StPayableDetailDataEntity record);

    List<StPayableDetailDataEntity> selectByExample(StPayableDetailDataEntityExample example);

    StPayableDetailDataEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StPayableDetailDataEntity record, @Param("example") StPayableDetailDataEntityExample example);

    int updateByExample(@Param("record") StPayableDetailDataEntity record, @Param("example") StPayableDetailDataEntityExample example);

    int updateByPrimaryKeySelective(StPayableDetailDataEntity record);

    int updateByPrimaryKey(StPayableDetailDataEntity record);
}